package betterquesting.api2.client.gui.help;

import betterquesting.api2.utils.QuestTranslation;
import javax.annotation.Nonnull;

/* loaded from: betterquesting_api2_client_gui_help.jar:betterquesting/api2/client/gui/help/HelpTopic.class */
public class HelpTopic {
    private final String title;
    private final String description;

    public HelpTopic(@Nonnull String title, @Nonnull String description) {
        this.title = title;
        this.description = description;
    }

    public String getTitle() {
        return QuestTranslation.translate(this.title, new Object[0]);
    }

    public String getDescription() {
        return QuestTranslation.translate(this.description, new Object[0]);
    }

    public boolean equals(Object o) {
        if (!(o instanceof HelpTopic)) {
            return false;
        }
        HelpTopic ht = (HelpTopic) o;
        return ht.title.equals(this.title) && ht.description.equals(this.description);
    }
}
